description

# Request class Null safety

Inheritance
  - Object
  - EventTarget
  - Request
Implementers
  - OpenDBRequest
Annotations
  - @Unstable()
  - @Native("IDBRequest")

## Properties

error → DomException?
  read-only
hashCode → int
  The hash code for this object. [...]
  read-only, inherited
on → Events
  This is an ease-of-use accessor for event streams which should only be used when an explicit accessor is not available.
  read-only, inherited
onError → Stream<Event>
  Stream of `error` events handled by this Request.
  read-only
onSuccess → Stream<Event>
  Stream of `success` events handled by this Request.
  read-only
readyState → String?
  read-only
result → dynamic
  read-only
runtimeType → Type
  A representation of the runtime type of the object.
  read-only, inherited
source → Object?
  @Creates('Null'), read-only
transaction → Transaction?
  read-only

## Methods

addEventListener(String type, EventListener? listener, [bool? useCapture]) → void
  inherited
dispatchEvent(Event event) → bool
  inherited
noSuchMethod(Invocation invocation) → dynamic
  Invoked when a non-existent method or property is accessed. [...]
  inherited
removeEventListener(String type, EventListener? listener, [bool? useCapture]) → void
  inherited
toString() → String
  Returns a string representation of this object.
  inherited

## Operators

operator ==(Object other) → bool
  The equality operator. [...]
  inherited

## Constants

errorEvent → const EventStreamProvider<Event>
  Static factory designed to expose `error` events to event handlers that are not necessarily instances of Request. [...]
  `const EventStreamProvider<Event>('error')`
successEvent → const EventStreamProvider<Event>
  Static factory designed to expose `success` events to event handlers that are not necessarily instances of Request. [...]
  `const EventStreamProvider<Event>('success')`